aboutsummaryrefslogtreecommitdiff
path: root/scripts/make-dist.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/make-dist.sh')
-rwxr-xr-xscripts/make-dist.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/scripts/make-dist.sh b/scripts/make-dist.sh
new file mode 100755
index 000000000..b978aeb65
--- /dev/null
+++ b/scripts/make-dist.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+set -e
+
+LOCKFILE="$(realpath "${0}").lock"
+touch "${LOCKFILE}"
+exec 42< "${LOCKFILE}"
+flock -x -n 42 || {
+ printf '%s\n' "Could not aquire file lock for ${0}. Already running instance?" >&2;
+ exit 1;
+}
+
+cd "$(dirname "${0}")/.."
+if [ ! -d ./.git ]; then
+ printf '%s\n' "This script can only by run from a nDPId git repository." >&2
+fi
+
+git submodule update --init ./libnDPI
+NDPID_GIT_VERSION="$(git describe --tags)"
+cd ./libnDPI && \
+ LIBNDPI_GIT_VERSION="$(git describe --tags)"
+ git archive --prefix="nDPId-${NDPID_GIT_VERSION}/libnDPI/" -o "../libnDPI-${LIBNDPI_GIT_VERSION}.tar" HEAD && \
+ cd ..
+git archive --prefix="nDPId-${NDPID_GIT_VERSION}/" -o "./nDPId-${NDPID_GIT_VERSION}.tar" HEAD
+tar --concatenate --file="./nDPId-${NDPID_GIT_VERSION}.tar" "./libnDPI-${LIBNDPI_GIT_VERSION}.tar"
+bzip2 -9 "./nDPId-${NDPID_GIT_VERSION}.tar"
+
+rm -f "${LOCKFILE}"